package gavalink

type basicMessage struct {
	Op      string `json:"op"`
	GuildID string `json:"guildId,omitempty"`
}

type playMessage struct {
	Op        string `json:"op"`
	GuildID   string `json:"guildId,omitempty"`
	Track     string `json:"track,omitempty"`
	StartTime string `json:"startTime,omitempty"`
	EndTime   string `json:"endTime,omitempty"`
}

type pauseMessage struct {
	Op      string `json:"op"`
	GuildID string `json:"guildId,omitempty"`
	Pause   bool   `json:"pause,omitempty"`
}

type seekMessage struct {
	Op       string `json:"op"`
	GuildID  string `json:"guildId,omitempty"`
	Position *int   `json:"position,omitempty"`
}

type volumeMessage struct {
	Op      string `json:"op"`
	GuildID string `json:"guildId,omitempty"`
	Volume  int    `json:"volume,omitempty"`
}

type voiceUpdateMessage struct {
	Op        string             `json:"op"`
	GuildID   string             `json:"guildId,omitempty"`
	SessionID string             `json:"sessionId,omitempty"`
	Event     *VoiceServerUpdate `json:"event,omitempty"`
}

type listenMessage struct {
	Op string `jwon:"op"`
	GuildID   string             `json:"guildId,omitempty"`
	UserID string `json:"userId,omitempty"`
	Listen bool `json:"listen"`
}
